package vip.xiaonuo.disk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.disk.domain.RecoveryFile;
import vip.xiaonuo.disk.domain.UserFile;
import vip.xiaonuo.disk.vo.file.RecoveryFileListVo;

import java.util.List;

public interface IRecoveryFileService extends IService<RecoveryFile> {
    void deleteUserFileByDeleteBatchNum(String deleteBatchNum);
    void restorefile(String deleteBatchNum, String filePath, String sessionUserId);
    List<RecoveryFileListVo> selectRecoveryFileList(String userId);
}
